Skip to main content
POST
/
api
/
v1
/
inventory
Create inventory
curl --request POST \
  --url https://shelfforce.ai/api/v1/inventory \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sku": "<string>",
  "brand": "<string>",
  "name": "<string>",
  "category": "<string>",
  "subcategory": "<string>",
  "sizeValue": 123,
  "sizeUnit": "<string>",
  "expectedPrice": 123,
  "currency": "<string>",
  "upc": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key with sf_live_ prefix. Pass as Authorization: Bearer sf_live_...

Headers

Idempotency-Key
string

Unique key for idempotent requests. If a request with the same key was already processed within the last 24 hours, the cached response is returned with X-Idempotent-Replayed: true.

Example:

"idk_550e8400-e29b-41d4-a716-446655440000"

Body

application/json
sku
string
required

Unique SKU code within your organisation.

Example:

"CC-330ML-CAN"

brand
string
required

Brand name.

Example:

"Coca-Cola"

name
string
required

Product display name.

Example:

"Coca-Cola Original 330ml Can"

category
string

Product category.

Example:

"Beverages"

subcategory
string

Product subcategory.

Example:

"Carbonated Soft Drinks"

sizeValue
number

Numeric size value.

Example:

330

sizeUnit
string

Unit of measure for size (ml, g, oz, etc.).

Example:

"ml"

expectedPrice
number

Expected retail price.

Example:

1.49

currency
string

ISO 4217 currency code for the expected price.

Example:

"USD"

upc
string

Universal Product Code (barcode).

Example:

"049000042566"

Response

Inventory item created.

data
object
required